Create Integration

Create a new platform integration for the project and persist its discovered tools.

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

org_idstringRequiredformat: "uuid"
The unique identifier of the organization.
project_idstringRequiredformat: "uuid"
The unique identifier of the project.

Request

This endpoint expects an object.
typeenumRequired
configmap from strings to any or nullOptional

Reserved for provider-specific config. Empty for v1 Google integrations.

Response

Integration created
idstringformat: "uuid"
project_idstringformat: "uuid"
typeenum
namestring
auth_typeenum
createdstring
modifiedstring
configmap from strings to any or null
toolslist of objects
setup_instructionsstring or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error